"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var path_1 = require("path");
var fs_extra_1 = require("fs-extra");
var parseTemplateStr_1 = tslib_1.__importDefault(require("../parseTemplateStr"));
/**
 * 生成LICENSE文件
 *
 * @param projectPath 项目路径
 * @param options 配置
 */
function genLicenseFile(projectPath, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function () {
        var licensePath, content;
        return tslib_1.__generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    licensePath = path_1.resolve(projectPath, 'LICENSE');
                    return [4 /*yield*/, fs_extra_1.readFile(licensePath, 'utf-8')];
                case 1:
                    content = _a.sent();
                    return [4 /*yield*/, fs_extra_1.writeFile(licensePath, parseTemplateStr_1.default(content, {
                            time: new Date().getFullYear(),
                            author: options.author || '',
                        }))];
                case 2:
                    _a.sent();
                    return [2 /*return*/];
            }
        });
    });
}
exports.default = genLicenseFile;
//# sourceMappingURL=updateLicense.js.map