"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var fs_extra_1 = require("fs-extra");
var path_1 = require("path");
var parseTemplateStr_1 = tslib_1.__importDefault(require("../parseTemplateStr"));
/**
 * 生成README.md文档
 *
 * @param projectPath 项目路径
 * @param options 配置
 */
function updateREADMEFile(projectPath, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function () {
        var readmePath, content;
        return tslib_1.__generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    readmePath = path_1.resolve(projectPath, 'README.md');
                    return [4 /*yield*/, fs_extra_1.readFile(readmePath, 'utf-8')];
                case 1:
                    content = _a.sent();
                    return [4 /*yield*/, fs_extra_1.writeFile(readmePath, parseTemplateStr_1.default(content, tslib_1.__assign({}, options, { packageDescription: options.packageDescription ||
                                '这是由[ts-lib-scripts](https://github.com/sinoui/ts-lib-scripts)创建的TypeScript库项目。' })))];
                case 2:
                    _a.sent();
                    return [2 /*return*/];
            }
        });
    });
}
exports.default = updateREADMEFile;
//# sourceMappingURL=updateREADMEFile.js.map