"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var fs_extra_1 = require("fs-extra");
var path_1 = require("path");
var paths_1 = require("../config/paths");
function getHomepage(options) {
    if (options.packageName.startsWith('@')) {
        var matches = options.packageName.match(/@([^/])\/(.+)/);
        if (matches) {
            var scopeName = matches[1], packageName = matches[2];
            return "https://" + scopeName + ".github.io/" + packageName;
        }
    }
    return undefined;
}
/**
 * 生成docz文件
 */
function genDoczFiles(projectPath, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function () {
        var content, packageInfo;
        return tslib_1.__generator(this, function (_a) {
            switch (_a.label) {
                case 0: 
                // 拷贝docz文件
                return [4 /*yield*/, fs_extra_1.copy(paths_1.DOCZ_TEMPLATE_PATH, projectPath)];
                case 1:
                    // 拷贝docz文件
                    _a.sent();
                    return [4 /*yield*/, fs_extra_1.readFile(path_1.resolve(projectPath, './doczrc.js'), 'utf-8')];
                case 2:
                    content = _a.sent();
                    return [4 /*yield*/, fs_extra_1.writeFile(path_1.resolve(projectPath, './doczrc.js'), content.replace("title: 'rctt',", "title: '" + options.projectName + "',"))];
                case 3:
                    _a.sent();
                    return [4 /*yield*/, fs_extra_1.readJSON(path_1.resolve(projectPath, './package.json'))];
                case 4:
                    packageInfo = _a.sent();
                    packageInfo.scripts['doc:dev'] = 'docz dev';
                    packageInfo.scripts['doc:build'] = 'docz build';
                    if (options.doczGithubPages) {
                        packageInfo.scripts['doc:publish'] = 'docz build && gh-pages -d .docz/dist';
                        packageInfo.homepage = getHomepage(options);
                    }
                    return [4 /*yield*/, fs_extra_1.outputJSON(path_1.resolve(projectPath, './package.json'), packageInfo, {
                            spaces: 2,
                        })];
                case 5:
                    _a.sent();
                    return [2 /*return*/];
            }
        });
    });
}
exports.default = genDoczFiles;
//# sourceMappingURL=genDoczFiles.js.map