"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/* eslint-disable no-console */
/* eslint-disable import/prefer-default-export */
var validate_npm_package_name_1 = tslib_1.__importDefault(require("validate-npm-package-name"));
var chalk_1 = tslib_1.__importDefault(require("chalk"));
/**
 * 验证模块名
 *
 * @param packageName 模块名
 */
function validatePackageName(packageName) {
    var result = validate_npm_package_name_1.default(packageName);
    if (!result.validForNewPackages) {
        console.error(chalk_1.default.red("\u6307\u5B9A\u7684\u5E93\u540D\u79F0\u4E0D\u7B26\u5408\u89C4\u8303\uFF0C\u539F\u56E0\u662F\uFF1A\n    " + result.warnings.map(function (msg) { return "* " + msg; }).join('\n')) + "\n\n\n" + chalk_1.default.yellow("\u8BF7\u9605\u8BFB\u4EE5\u4E0B\u89C4\u8303\uFF0C\u91CD\u65B0\u53D6\u540D\uFF1A\n\n1. \u6240\u6709\u5B57\u7B26\u5FC5\u987B\u662F\u5C0F\u5199\u7684\n2. \u53EF\u4EE5\u4F7F\u7528\u8FDE\u5B57\u7B26\u8FDE\u63A5\u591A\u4E2A\u5355\u8BCD\uFF0C\u5982my-ts-lib\n3. \u4E0D\u80FD\u4EE5.\u6216\u8005_\u5F00\u5934\n4. \u4E0D\u80FD\u5305\u542B\u7A7A\u683C\n5. \u4E0D\u80FD\u5305\u542B~)('!*\n6. \u4E0D\u80FD\u4E0Enode\u3001npm\u4E2D\u7684\u6838\u5FC3\u6A21\u5757\u540D\u51B2\u7A81\uFF0C\u5982\n  * http\n  * stream\n  * node_modules\n  * favicon.ico\n7. \u957F\u5EA6\u4E0D\u80FD\u8D85\u8FC7214") + "\n\n\u793A\u4F8B\uFF1A\n\n* my-ts-lib\n* my-component\n* @scope/package-name\n    ");
        return false;
    }
    return true;
}
exports.validatePackageName = validatePackageName;
//# sourceMappingURL=validatePackageName.js.map